curl --request GET \
--url https://api.services.payward.com/v1/accounts/{account_id}/earn/auto/rewards \
--header 'API-Key: <api-key>' \
--header 'API-Nonce: <api-key>' \
--header 'API-Sign: <api-key>'import requests
url = "https://api.services.payward.com/v1/accounts/{account_id}/earn/auto/rewards"
headers = {
"API-Key": "<api-key>",
"API-Sign": "<api-key>",
"API-Nonce": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'API-Key': '<api-key>', 'API-Sign': '<api-key>', 'API-Nonce': '<api-key>'}
};
fetch('https://api.services.payward.com/v1/accounts/{account_id}/earn/auto/rewards', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.services.payward.com/v1/accounts/{account_id}/earn/auto/rewards",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"API-Key: <api-key>",
"API-Nonce: <api-key>",
"API-Sign: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.services.payward.com/v1/accounts/{account_id}/earn/auto/rewards"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("API-Key", "<api-key>")
req.Header.Add("API-Sign", "<api-key>")
req.Header.Add("API-Nonce", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.services.payward.com/v1/accounts/{account_id}/earn/auto/rewards")
.header("API-Key", "<api-key>")
.header("API-Sign", "<api-key>")
.header("API-Nonce", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.services.payward.com/v1/accounts/{account_id}/earn/auto/rewards")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["API-Key"] = '<api-key>'
request["API-Sign"] = '<api-key>'
request["API-Nonce"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"quote_symbol": "USD",
"quote_type": "fiat",
"total_rewarded_in_quote": "325.62",
"next_reward_date": "2026-06-01T00:00:00Z",
"data": [
{
"symbol": "ETH",
"type": "crypto",
"name": "Ethereum",
"rewarded": "0.0125",
"rewarded_in_quote": "31.25",
"estimated_next_reward": "0.0056",
"estimated_next_reward_in_quote": "14.00",
"other_assets": [
{
"symbol": "EIGEN",
"type": "crypto",
"name": "Eigenlayer",
"rewarded": "5.0",
"rewarded_in_quote": "12.50",
"estimated_next_reward": "0.1",
"estimated_next_reward_in_quote": "0.25"
}
]
}
]
}Get Auto Earn rewards
Returns historical reward info for the specified account.
Results are paginated. Converted amounts are denominated in the currency identified by quote_symbol / quote_type (defaults to USD/fiat). estimated_next_reward and next_reward_date are absent if no reward is pending.
curl --request GET \
--url https://api.services.payward.com/v1/accounts/{account_id}/earn/auto/rewards \
--header 'API-Key: <api-key>' \
--header 'API-Nonce: <api-key>' \
--header 'API-Sign: <api-key>'import requests
url = "https://api.services.payward.com/v1/accounts/{account_id}/earn/auto/rewards"
headers = {
"API-Key": "<api-key>",
"API-Sign": "<api-key>",
"API-Nonce": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'API-Key': '<api-key>', 'API-Sign': '<api-key>', 'API-Nonce': '<api-key>'}
};
fetch('https://api.services.payward.com/v1/accounts/{account_id}/earn/auto/rewards', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.services.payward.com/v1/accounts/{account_id}/earn/auto/rewards",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"API-Key: <api-key>",
"API-Nonce: <api-key>",
"API-Sign: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.services.payward.com/v1/accounts/{account_id}/earn/auto/rewards"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("API-Key", "<api-key>")
req.Header.Add("API-Sign", "<api-key>")
req.Header.Add("API-Nonce", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.services.payward.com/v1/accounts/{account_id}/earn/auto/rewards")
.header("API-Key", "<api-key>")
.header("API-Sign", "<api-key>")
.header("API-Nonce", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.services.payward.com/v1/accounts/{account_id}/earn/auto/rewards")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["API-Key"] = '<api-key>'
request["API-Sign"] = '<api-key>'
request["API-Nonce"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"quote_symbol": "USD",
"quote_type": "fiat",
"total_rewarded_in_quote": "325.62",
"next_reward_date": "2026-06-01T00:00:00Z",
"data": [
{
"symbol": "ETH",
"type": "crypto",
"name": "Ethereum",
"rewarded": "0.0125",
"rewarded_in_quote": "31.25",
"estimated_next_reward": "0.0056",
"estimated_next_reward_in_quote": "14.00",
"other_assets": [
{
"symbol": "EIGEN",
"type": "crypto",
"name": "Eigenlayer",
"rewarded": "5.0",
"rewarded_in_quote": "12.50",
"estimated_next_reward": "0.1",
"estimated_next_reward_in_quote": "0.25"
}
]
}
]
}Authorizations
Your public API key. Identifies the partner making the request.
HMAC signature over the request, computed with your private key.
Monotonically increasing nonce included in the request signature.
Path Parameters
Globally unique public identifier for an account.
14 - 42Query Parameters
Ticker symbol of the quote asset for converted amounts (e.g., "USD", "EUR").
10Type of the quote asset. Only "fiat" is supported.
16Opaque token returned as next_page_token in the previous response. Omit to request the first page.
1 - 256Maximum number of results to return. Ignored when page_token is present.
1 <= x <= 25Response
Successful response
Sum of all per-asset rewarded_in_quote values expressed in the quote currency.
Per-asset reward entries for the requested page.
Show child attributes
Show child attributes
Symbol of the quote asset used for converted amounts (e.g., "USD", "EUR").
Type of the quote asset (e.g., "fiat").
Estimated time of the next pending reward. Absent when no reward is pending.
Opaque token for retrieving the next page. Absent when there are no more results.
1 - 256